PHP Manual
Prev |  | Next

# HttpQueryString::__construct

(no version information, might be only in CVS)

HttpQueryString::__construct -- HttpQueryString constructor

## Description

final publicvoid HttpQueryString::__construct ( [bool global = TRUE [, mixed add]] )

Creates a new HttpQueryString object instance.

Operates on and modifies $_GET and $_SERVER['QUERY_STRING'] if global is TRUE.

## Parameters

global

  whether to operate on $_GET and $_SERVER['QUERY_STRING']

add

  additional/initial query string parameters

## Errors/Exceptions

Throws HttpRuntimeException.

Prev | Home | Next
HttpQueryString | Up | HttpQueryString::singleton